we’re proud to announce the second bugfix release for the 2.4 series of darktable, 2.4.2!

the github release is here: [https://github.com/darktable-org/darktable/releases/tag/release-2.4.2](https://github.com/darktable-org/darktable/releases/tag/release-2.4.2).

as always, please don't use the autogenerated tarball provided by github, but only our tar.xz. the checksums are:

```
$ sha256sum darktable-2.4.2.tar.xz
??? darktable-2.4.2.tar.xz
$ sha256sum darktable-2.4.2.dmg
??? darktable-2.4.2.dmg
$ sha256sum darktable-2.4.2-win64.exe
??? darktable-2.4.2-win64.exe
$ sha256sum darktable-2.4.2-win64.zip
??? darktable-2.4.2-win64.zip
```

when updating from the currently stable 2.2.x series, please bear in mind that your edits will be preserved during this process, but it will not be possible to downgrade from 2.4 to 2.2.x any more.

#### Important note: to make sure that darktable can keep on supporting the raw file format for your camera, *please* read [this post](https://discuss.pixls.us/t/raw-samples-wanted/5420?u=lebedevri) on how/what raw samples you can contribute to ensure that we have the *full* raw sample set for your camera under CC0 license!

and the changelog as compared to 2.4.1 can be found below.

## New Features

- Add presets to location search in map mode
- Add timestamps to the output of `-d` command line switches
- Add a compression level slider to the TIFF export module
- Add native binary NetPNM loading, without using GraphicsMagick
- Add a battery indicator for people running darktable on a laptop. This is not very portable code and disabled by default
- Allow to use /? to show the help message on Windows

## Bugfixes

- Turn off smooth scrolling for X11/Quartz. That might help with oversensitive scrolling
- Fix reading and writing of TIFFs with non-ASCII filenames on Windows
- Ellipsize background job labels when too long
- Hard code D50 white point when exporting to OpenEXR
- Add tootips to the haze removal module
- Fix a crash when changing lenses while tethering
- Fix incorrect Atom CPU detection on Windows
- Revised performance configuration
- Don't overlay the colorbalance sliders on the left for a cleaner look
- Honor local copy in copy export format
- Make trashing of files on Windows silent
- Fix string termination override on memmove
- Fix a use after free and some memleaks
- Fix a crash in PDF export
- Fix the min color picker
- Don't hardcode '/' in OpenCL paths on Windows

## Camera support, compared to 2.4.1

#### Warning: support for Nikon NEF 'lossy after split' raws was unintentionally broken due to the lack of such samples. Please see [this post](https://discuss.pixls.us/t/nikon-a-specific-raw-sample-wanted/5483?u=lebedevri) for more details. If you have affected raws, please contribute samples!

### Base Support

- Canon PowerShot G1 X Mark III
- Panasonic DMC-FZ2000 (3:2)
- Panasonic DMC-FZ2500 (3:2)
- Panasonic DMC-ZS100 (3:2)
- Sony DSC-RX0
- Sony DSC-RX10M4

### Noise Profiles

- Canon EOS 200D
- Canon EOS Kiss X9
- Canon EOS Rebel SL2
- Canon EOS 760D
- Canon EOS 8000D
- Canon EOS Rebel T6s
- Canon PowerShot G1 X Mark II
- Canon PowerShot G9 X
- Fujifilm X100F
- Nikon D850
- Panasonic DC-G9
- Panasonic DMC-GF6
- Panasonic DMC-LX10
- Panasonic DMC-LX15
- Panasonic DMC-LX9
- Panasonic DMC-TZ70
- Panasonic DMC-TZ71
- Panasonic DMC-ZS50

## Translations

- Dutch
- French
- German
- Hungarian
- Italian
